Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
24h.com.vn

[Yêu Cầu]lisp thay đổi chiều cao dim

Các bài được khuyến nghị

trên diễn đàn có lisp thay đổi chiều cao text dim http://www.cadviet.com/upfiles/3/110943_ccdchieu_cao_text_dim.lsp nhưng lisp này cứ hỏi có thay đổi Font chữ và layer chữ k.khi có thì cha thấy thay đổi j ma mất rất nhiều công sứ vậy xin các bác làm giùm lisp thay đổi chiều cao(nghĩa là thay đổi chiều cao của khi đã dim xong chứ k phải thay đổi chiều cao trong dimension nha).Trên diễn đàn cũng có lisp thay đổi nhưng là trong dimension mà công việc của e 1 dim có thể dim nhiều cái với chiều cao khác nhau

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

1. Bạn hỏi tại topic download. Tất cả những topic mở thêm sẽ chỉ gây nhiễu cho người đọc - người search

2. Dùng bảng thuộc tính để làm những công việc tương tự

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

1. Bạn hỏi tại topic download. Tất cả những topic mở thêm sẽ chỉ gây nhiễu cho người đọc - người search

2. Dùng bảng thuộc tính để làm những công việc tương tự

k phải e tim r k được moisws post bài chứ có 1 lisp do bác làm là Hdim nhưng lisp đó thay đổi chiều cao cua style dim y e muốn thay đổi chiều cao text dim mà

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

k phải e tim r k được moisws post bài chứ có 1 lisp do bác làm là Hdim nhưng lisp đó thay đổi chiều cao cua style dim y e muốn thay đổi chiều cao text dim mà

Dùng lệnh DIMOVERRIDE (tắt là DOV) đi bạn

Command: DOV DIMOVERRIDE

Enter dimension variable name to override or [Clear overrides]: dimtxt -> gõ dimtxt

Enter new value for dimension variable <100.0000>: 250 -> gõ 250

 

Enter dimension variable name to override: -> enter

 

Select objects: Specify opposite corner: 126 found -> Quét (tự lọc) dim

 

-> Xong

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nếu thix lisp dùng theo lệnh DIMOVERRIDE của

Tue_NV thì bạn dùng lisp này nhanh hơn tí ...

 

 

(defun c:hd (/ tH s1)
(command "undo" "be")
(setvar "cmdecho" 0)
(setq tH (getreal "\n Text Height :"))
(setq s1 (ssget (list (cons 0 "DIMENSION"))))
    (command ".DIMOVERRIDE" "dimtxt" tH "" s1 "")
(setvar "cmdecho" 1)
(command "undo" "e")
(princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×